﻿using Styx.Helpers;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LogoutHelper
{
    class Settings : Styx.Helpers.Settings
    {
        private static Settings g_instance;

        public Settings() 
            : base(System.IO.Path.Combine(CharacterSettingsDirectory, "LogoutHelper.xml")) 
        {

        }

        public static Settings Instance
        {
            get { return g_instance ?? ( g_instance = new Settings() ); }
        }

        [Setting, DefaultValue(3600)]
        [System.ComponentModel.Category("Seconds")]
        [System.ComponentModel.DisplayName("Seconds before logout")]
        [System.ComponentModel.Description("When active the plugin will logout of wow after this amount of seconds")]
        public int SecondsToLogout { get; set; }

        [Setting, DefaultValue(6948)]
        [System.ComponentModel.Category("Item")]
        [System.ComponentModel.DisplayName("Item to use before logout")]
        [System.ComponentModel.Description("Item to use before logout")]
        public int ItemToUseBeforeLogout { get; set; }
    }
}
